store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Mon Nov 18, 2019 2:01 am

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 8 posts ] 
Author Message
 Post subject: qmail-scanner fails with maildrop and psa-courier-imap
Unread postPosted: Tue May 17, 2016 12:38 am 
Offline
Forum Regular
Forum Regular

Joined: Mon Dec 06, 2004 10:43 pm
Posts: 471
Seems Plesk 12..5.30's version of psa-courier-imap is incompatable with maildrop. Is the newest version of maildrop-2.8.3 comparable with psa-coruier-imap and will allow qmail-scanner to install?

Transaction Check Error:
file /usr/bin/makedat from install of maildrop-2.5.2-1.el6.art.x86_64 conflicts with file from package psa-courier-imap-4.16.1-centos6.15081914.x86_64


I've tried to install maildrop-2.8.3.tar.bz2 using sudo rpmbuild -ta and it coughs up dependence errors once of which is courier-unidoce which is installed as psa-courier-imap and there are two other errors.

I've not been able to find an RPM of maildrop 2.8.3 already biult, anyone have a clue? Scott, will the qmail-scanner package be updated soon? I've not seen it in testing as I would have installed that.

Thanks.


Top
 Profile  
Reply with quote  
 Post subject: Re: qmail-scanner fails with maildrop and psa-courier-imap
Unread postPosted: Fri May 20, 2016 12:44 am 
Offline
Forum Regular
Forum Regular

Joined: Mon Dec 06, 2004 10:43 pm
Posts: 471
Scott, Mike or anyone else have a suggestion of how I can resolve this so I can get qmail-scanner installed? Should I erase psa-courier-imap and install just courier-imap? will I break anything if I do this?

Scott, is there an updated version of this coming down the pipe?

I thought there was at one time a version of ASL that we could install that was several updates out...

Thanks,
Franklyn


Top
 Profile  
Reply with quote  
 Post subject: Re: qmail-scanner fails with maildrop and psa-courier-imap
Unread postPosted: Mon May 23, 2016 4:13 am 
Offline
Forum Regular
Forum Regular

Joined: Mon Dec 06, 2004 10:43 pm
Posts: 471
Nothing to see here, this is not the post you're looking for....


Last edited by Galactic Zero on Mon May 23, 2016 4:20 am, edited 1 time in total.

Top
 Profile  
Reply with quote  
 Post subject: Re: qmail-scanner fails with maildrop and psa-courier-imap
Unread postPosted: Mon May 23, 2016 4:16 am 
Offline
Forum Regular
Forum Regular

Joined: Mon Dec 06, 2004 10:43 pm
Posts: 471
NM... found the rpm..... tired. missing stuff.

_________________
Franklyn Halamka
Still learning my way around Linux Security.
http://www.galacticzero.net


Top
 Profile  
Reply with quote  
 Post subject: Re: qmail-scanner fails with maildrop and psa-courier-imap
Unread postPosted: Mon May 23, 2016 4:18 am 
Offline
Forum Regular
Forum Regular

Joined: Mon Dec 06, 2004 10:43 pm
Posts: 471
Will installing courier-unicode-devel and it's associated packages break psa-courier-unidoce?

_________________
Franklyn Halamka
Still learning my way around Linux Security.
http://www.galacticzero.net


Top
 Profile  
Reply with quote  
 Post subject: Re: qmail-scanner fails with maildrop and psa-courier-imap
Unread postPosted: Mon May 23, 2016 11:46 pm 
Offline
Forum Regular
Forum Regular

Joined: Mon Dec 06, 2004 10:43 pm
Posts: 471
Ok, I was able to rpmbuild the maildrop package and now when I go to install it I get this:

rpm -ivh maildrop-2.8.3-2.x86_64.rpm
Preparing... ########################################### [100%]
file /usr/bin/deliverquota from install of maildrop-2.8.3-2.x86_64 conflicts with file from package psa-courier-imap-4.16.1-centos6.15081914.x86_64
file /usr/bin/maildirmake from install of maildrop-2.8.3-2.x86_64 conflicts with file from package psa-courier-imap-4.16.1-centos6.15081914.x86_64
file /usr/bin/makedat from install of maildrop-2.8.3-2.x86_64 conflicts with file from package psa-courier-imap-4.16.1-centos6.15081914.x86_64
[root@marvin x86_64]#

I've installed the courier-unicode-devel packages, do I need to now install just courier-imap and will I break my system having both psa-courier-imap and courier-imap installed?

would really like some feedback please.
Thanks.


Top
 Profile  
Reply with quote  
 Post subject: Re: qmail-scanner fails with maildrop and psa-courier-imap
Unread postPosted: Tue May 31, 2016 10:27 pm 
Offline
Forum Regular
Forum Regular

Joined: Mon Dec 06, 2004 10:43 pm
Posts: 471
Chatted with Scott today and he kindly fixed the qmail-scanner issue and it installed and is now playing nice with Plesk 12.5.x

Big thank you Scott.


Top
 Profile  
Reply with quote  
 Post subject: Re: qmail-scanner fails with maildrop and psa-courier-imap
Unread postPosted: Thu Jun 02, 2016 12:03 pm 
Offline
Long Time Forum Regular
Long Time Forum Regular

Joined: Thu Dec 09, 2004 11:19 am
Posts: 2321
Thanks for digging into this GZ. I have a customer who wants to stick to qmail on 12.5 and this will make his life easier.

It hadn't occurred to me that there would be an issue.

_________________
--------------------------------
<advert>
If you want to rent a UK-based VPS that comes with friendly advice and support from a fellow ART fan, please get in touch.
</advert>


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 8 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group